import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:puzzlegame/cubit/game_cubit.dart';

class ResumeSavedGameButton extends StatelessWidget {
  const ResumeSavedGameButton({super.key});

  @override
  Widget build(BuildContext context) {
    return TextButton(
      child: const Image(
        image: AssetImage('assets/ui/button_resume_game.png'),
        fit: BoxFit.fill,
      ),
      onPressed: () {
        BlocProvider.of<GameCubit>(context).resumeSavedGame();
      },
    );
  }
}
